'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.setHasNotifications = exports.getHasNotifications = exports.setScreenshotEffect = exports.getScreenshotEffect = exports.setCombo = exports.getCombo = exports.setFolder = exports.getFolder = exports.path = exports.eventEmitter = undefined;

var _events = require('events');

var _events2 = _interopRequireDefault(_events);

var _configstore = require('configstore');

var _configstore2 = _interopRequireDefault(_configstore);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var eventEmitter = exports.eventEmitter = new _events2.default();

var conf = new _configstore2.default('record-desktop', { isFirstRun: true });
var path = exports.path = conf.path;

var getFolder = exports.getFolder = function getFolder() {
  return conf.get('folder');
};
var setFolder = exports.setFolder = function setFolder(folder) {
  return conf.set('folder', folder);
};

var getCombo = exports.getCombo = function getCombo(action) {
  return conf.get('combo-' + action);
};
var setCombo = exports.setCombo = function setCombo(action, combo) {
  return conf.set('combo-' + action, combo);
};

var getScreenshotEffect = exports.getScreenshotEffect = function getScreenshotEffect() {
  return conf.get('screenshot-effect');
};
var setScreenshotEffect = exports.setScreenshotEffect = function setScreenshotEffect(value) {
  return conf.set('screenshot-effect', value);
};

var getHasNotifications = exports.getHasNotifications = function getHasNotifications() {
  return conf.get('has-notifications');
};
var setHasNotifications = exports.setHasNotifications = function setHasNotifications(value) {
  if (typeof value !== 'boolean') {
    throw new Error('value should be type of boolean');
  }

  conf.set('has-notifications', value);
};

if (typeof getScreenshotEffect() === 'undefined') {
  setScreenshotEffect('shadow');
}

if (typeof getHasNotifications() === 'undefined') {
  setHasNotifications(true);
}