'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.notify = exports.log = undefined;

var _winston = require('winston');

var _winston2 = _interopRequireDefault(_winston);

var _nodeNotifier = require('node-notifier');

var _nodeNotifier2 = _interopRequireDefault(_nodeNotifier);

var _config = require('./config');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var logger = new _winston2.default.Logger({
  transports: [new _winston2.default.transports.Console(), new _winston2.default.transports.File({ filename: '/tmp/record-desktop' })]
});

var log = exports.log = logger.info.bind(logger);
var notify = exports.notify = function notify(text, err) {
  log(text, err || '');

  if ((0, _config.getHasNotifications)()) {
    _nodeNotifier2.default.notify({
      title: 'record-desktop',
      message: text + (err ? ' ' + err.message : '')
    });
  }
};