'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.spawn = exports.exec = exports.spawnAsync = exports.execAsync = exports.openFile = exports.execSync = undefined;

var _child_process = require('child_process');

Object.defineProperty(exports, 'execSync', {
  enumerable: true,
  get: function get() {
    return _child_process.execSync;
  }
});

var _xdgOpen = require('./wrappers/xdg-open');

var _xdgOpen2 = _interopRequireDefault(_xdgOpen);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.openFile = _xdgOpen2.default;
var execAsync = exports.execAsync = _child_process.exec;
var spawnAsync = exports.spawnAsync = _child_process.spawn;

var exec = exports.exec = function exec(cmd) {
  return new Promise(function (resolve, reject) {
    execAsync(cmd, function (err, stdout, stderr) {
      if (err) {
        reject({ err: err, stderr: stderr });
      } else {
        resolve(stdout.trim());
      }
    });
  });
};

var spawn = exports.spawn = function spawn(cmd, args) {
  return new Promise(function (resolve) {
    var proc = spawnAsync(cmd, args);

    proc.stdout.pipe(process.stdout);
    proc.stderr.pipe(process.stderr);

    proc.on('exit', function () {
      return resolve();
    });
  });
};