'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = byzanzRecord;

var _utils = require('../utils');

var _mkfifo = require('./mkfifo');

var _mkfifo2 = _interopRequireDefault(_mkfifo);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function byzanzRecord(outputFile, width, height, x, y) {
  var _createFifo = (0, _mkfifo2.default)(),
      file = _createFifo.file,
      onEnd = _createFifo.onEnd;

  var cmd = 'byzanz-record';

  var catCmd = ['-e', '"cat ' + file + '"'];
  var gifFile = outputFile;
  var coords = typeof width === 'undefined' ? [] : ['--x=' + x, '--y=' + y, '--width=' + width, '--height=' + height];

  var args = catCmd.concat(coords).concat(gifFile);
  var f = [cmd].concat(args).join(' ');

  return {
    promise: (0, _utils.exec)(f),
    finish: onEnd,
    command: f
  };
};